//a = 1;
//$(window.document).on("scroll",function(){
//if( $(document).scrollTop() + $(window).height() > $(document).height() - 20 && a==1) {
//	a = 0;
//	$(".fixedloading,.fixedloadingbg").fadeIn(300);
//	$(".ajax_tips").html("努力加载中...");
//		$.ajax( {
//			url: $("#page_ajax").attr("href"),
//			success:function(data){
//				setTimeout(function(){
//					var nowHref = $("#page_ajax_now").attr("href"),
//						nextHref = $("#page_ajax").attr("href"),
//						datanextHref = jQuery(data).find("#page_ajax").attr("href"),
//						datanowHref = jQuery(data).find("#page_ajax_now").attr("href");
//					if(nowHref != nextHref){
//						$("#page_ajax").attr("href",datanextHref);
//						$("#page_ajax_now").attr("href",datanowHref);
//						html = $(data).find("#ajax_list_ul").html();
//						$("#ajax_list_ul").append(html);
//						$(".ajax_tips").html("下拉加载更多...");
//						a = 1;
//					}else{
//						$(".ajax_tips").html("没有更多内容了！").addClass("nomore");
//					} 
//					$(".fixedloading,.fixedloadingbg").fadeOut(300);
//				},1000)
//			}
//		});
//	}
//});
var nowHref = $(".ajaxpage").children("a:first-of-type").attr("href");
var nextHref_ = $(".ajaxpage").children("a:last-of-type").attr("href");
$(".case_more a").on("click",function(){
	if(nowHref == nextHref_ ){
		$(".case_more a").html("没有更多内容了").addClass("nomore");
		return;
	}
	$(".case_more a").html("努力加载中...");
	$.ajax({
		url: nextHref_,
		success:function(data){
			//console.log(data);
			setTimeout(function(){
					var nextHref = $(data).find(".ajaxpage").children("a:last-of-type").attr("href");
					if(nextHref_ != nowHref ){
						html = $(data).find("#ajax_list_ul").html();
						$("#ajax_list_ul").append(html);
						$(".case_more a").html("查看更多>>");
						nowHref = nextHref_;
						nextHref_ = nextHref;
						
						$(".caseList li").hover(function(){
							$(this).find(".mask").stop().fadeIn();
							$(this).find(".title").stop().animate({"bottom":"50%","opacity":"1"});
							$(this).find(".des").stop().delay(200).animate({"bottom":"38%","opacity":"1"});
						},function(){
							$(this).find(".mask").stop().fadeOut();
							$(this).find(".title").stop().animate({"bottom":"-40px","opacity":"0"});
							$(this).find(".des").stop().animate({"bottom":"-40px","opacity":"0"});
						})
						
					}else{
						$(".case_more a").html("没有更多内容了").addClass("nomore");
					}
			},1000)
		}
	});
});

